rlm_tidiers {broom} | R Documentation

## Tidying methods for an rlm (robust linear model) object

### Description

This method provides a glance of an "rlm" object. The `tidy` and `augment` methods are handled by lm_tidiers.

### Usage

    ## S3 method for class 'rlm'
    glance(x, ...)

### Arguments

`x` | rlm object
`...` | extra arguments (not used)

### Value

`glance.rlm` returns a one-row data.frame with the columns

`sigma` | The square root of the estimated residual variance
`converged` | whether the IWLS converged
`logLik` | the data's log-likelihood under the model
`AIC` | the Akaike Information Criterion
`BIC` | the Bayesian Information Criterion
`deviance` | deviance

### See Also

lm_tidiers

### Examples

    library(MASS)

    r <- rlm(stack.loss ~ ., stackloss)
    tidy(r)
    augment(r)
    glance(r)

[Package broom version 0.4.1 Index]